GET /admin/api/settings
curl --request GET \
--url https://api.example.com/admin/api/settings \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/settings"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/api/settings")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"instance": {
"allowedHeaders": "<unknown>",
"alwaysSecureCookie": false,
"capturePayloadMaxMb": 2048,
"capturePayloadRetentionDays": 7,
"configRevision": 123,
"connectionProfileId": "<string>",
"corsOrigins": "<unknown>",
"defaultVocabularyFileId": "<string>",
"enableAutoUpdateCheck": true,
"enableSettlement": true,
"enableTokenizerDownload": true,
"enableTokenizerVocabs": true,
"enableUsage": true,
"hasTokenizerAuthToken": true,
"instanceName": "<string>",
"maxAttempts": 1,
"maxDatabaseSizeMb": 123,
"maxMultipartParts": 64,
"maxRequestBodyBytes": 134217728,
"maxResponseBodyBytes": 268435456,
"maxStreamEventBytes": 33554432,
"maxUploadBodyBytes": 536870912,
"maxWsFrameBytes": 33554432,
"oauthClientAllowlist": "<unknown>",
"portalRecentRequestsEnabled": true,
"proxy": "<unknown>",
"quotaObservationRetentionDays": 90,
"requestTimeoutMs": 1200000,
"retentionDays": 1,
"streamIdleTimeoutMs": 300000,
"trustedProxies": "<unknown>",
"updateChannel": "<string>",
"updateSource": "<string>",
"updateVerifySignature": true,
"usageRetentionDays": null
},
"logging": {
"disableLogRedaction": true,
"enableDownstreamLog": true,
"enableDownstreamLogBody": true,
"enableTracing": true,
"enableUpstreamLog": true,
"enableUpstreamLogBody": true,
"logFormat": "<string>",
"logLevel": "<string>",
"queryParameterBlacklist": "<unknown>",
"requestHeaderBlacklist": "<unknown>",
"responseHeaderBlacklist": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Management
GET /admin/api/settings
GET
/
admin
/
api
/
settings
GET /admin/api/settings
curl --request GET \
--url https://api.example.com/admin/api/settings \
--cookie gproxy_session=import requests
url = "https://api.example.com/admin/api/settings"
headers = {"cookie": "gproxy_session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'gproxy_session='}};
fetch('https://api.example.com/admin/api/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/admin/api/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "gproxy_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/admin/api/settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "gproxy_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/admin/api/settings")
.header("cookie", "gproxy_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/admin/api/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'gproxy_session='
response = http.request(request)
puts response.read_body{
"instance": {
"allowedHeaders": "<unknown>",
"alwaysSecureCookie": false,
"capturePayloadMaxMb": 2048,
"capturePayloadRetentionDays": 7,
"configRevision": 123,
"connectionProfileId": "<string>",
"corsOrigins": "<unknown>",
"defaultVocabularyFileId": "<string>",
"enableAutoUpdateCheck": true,
"enableSettlement": true,
"enableTokenizerDownload": true,
"enableTokenizerVocabs": true,
"enableUsage": true,
"hasTokenizerAuthToken": true,
"instanceName": "<string>",
"maxAttempts": 1,
"maxDatabaseSizeMb": 123,
"maxMultipartParts": 64,
"maxRequestBodyBytes": 134217728,
"maxResponseBodyBytes": 268435456,
"maxStreamEventBytes": 33554432,
"maxUploadBodyBytes": 536870912,
"maxWsFrameBytes": 33554432,
"oauthClientAllowlist": "<unknown>",
"portalRecentRequestsEnabled": true,
"proxy": "<unknown>",
"quotaObservationRetentionDays": 90,
"requestTimeoutMs": 1200000,
"retentionDays": 1,
"streamIdleTimeoutMs": 300000,
"trustedProxies": "<unknown>",
"updateChannel": "<string>",
"updateSource": "<string>",
"updateVerifySignature": true,
"usageRetentionDays": null
},
"logging": {
"disableLogRedaction": true,
"enableDownstreamLog": true,
"enableDownstreamLogBody": true,
"enableTracing": true,
"enableUpstreamLog": true,
"enableUpstreamLogBody": true,
"logFormat": "<string>",
"logLevel": "<string>",
"queryParameterBlacklist": "<unknown>",
"requestHeaderBlacklist": "<unknown>",
"responseHeaderBlacklist": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}授权
consoleSessionbeareranthropicKeygoogleKey
请求头
Administrative scope selected by the caller.